/**
Sketch for CPX 2
Insert your details in the relevant spots
**/

#define BLYNK_TEMPLATE_ID "<YOUR_TEMPLATE_ID>"
#define BLYNK_DEVICE_NAME "<YOUR_DEVICE_NAME>"
#define BLYNK_AUTH_TOKEN "<YOUR_TOKEN>"

#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>

#include <Mouse.h>
#include <Wire.h>
#include <SPI.h>

char auth[] = BLYNK_AUTH_TOKEN;
BlynkTimer timer;

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "<YOUR_WIFI_NAME";
char pass[] = "<YOUR_WIFI_PASSWORD";

// Hardware Serial on Mega, Leonardo, Micro...
#define EspSerial Serial1

// Your ESP8266 baud rate:
#define ESP8266_BAUD 115200


ESP8266 wifi(&EspSerial);

bool notFound = false;
int yPrev =0;
int v2_val = 0;
int i = 0;
int j = 0;

BLYNK_WRITE(V2)
{
  v2_val = param.asInt(); // Get value as integer
}
 

void setup()
{
  CircuitPlayground.begin();
  Mouse.begin();
  // Debug console
  SerialUSB.begin(115200);

  // Set ESP8266 baud rate
  EspSerial.begin(ESP8266_BAUD);
  delay(10);

  Blynk.begin(auth, wifi, ssid, pass);
  //timer.setInterval(500L, accelDataSend);
  CircuitPlayground.strip.setPixelColor(0, 100, 100, 100);
  CircuitPlayground.strip.show();
}

void loop()
{
   Blynk.run();  
   if (i == 0) { 
     if(CircuitPlayground.mic.soundPressureLevel(10)> 65){ //create google calander event when there is noise.
        CircuitPlayground.strip.setPixelColor(0, 0, 0, 0);
        CircuitPlayground.strip.show();  
        Blynk.virtualWrite(V1, 1);
        i++;
        delay(1000);
        Blynk.virtualWrite(V1, 0); //at the end resets V1
     }
   }
    if (v2_val == 1){ //click play on netflix if V2=1
      CircuitPlayground.strip.setPixelColor(2, 110, 110, 110);
      CircuitPlayground.strip.show();
      setMouseAbsolute(200, 200);
      Mouse.click();
      Blynk.virtualWrite(V2, 0); //at the end resets V2
      v2_val = 0;
   }
 }

 
void setMouseAbsolute(int x, int y) {
  // reset location to 0,0
  for (int i = 0; i < 50; ++i) {
    Mouse.move(-50, -50);
  }
  while (x >= 50) {
    Mouse.move(50, 0);
    x -= 50;
  }
  if (x > 0) {
    Mouse.move(x, 0);
  }
  while (y >= 50) {
    Mouse.move(0, 50);
    y -= 50;
  }
  if (y > 0) {
    Mouse.move(0, y);
  }
}
